//
/*
 * Copyright (c) 2023 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import SwiftUI

struct IntroduceFederationScreen1: View {
    @EnvironmentObject var themeService: BWIThemeService
    
    var body: some View {
        ZStack(alignment: .top) {
            Color(themeService.theme.backgroundColor)
            
            VStack(spacing: 26) {
                ZStack {
                    Color(hex: 0xE3E8F0)
                        .frame(width: IntroduceFederationView.imageSize, height: IntroduceFederationView.imageSize)
                        .clipShape(Circle())
                        .padding(.leading, 50)
                    Image(uiImage: Asset.SharedImages.loginFlowLogo.image)
                        .resizable()
                        .aspectRatio(contentMode: .fill)
                        .clipShape(Circle())
                        .padding(1)   // inner border size
                        .background(Color(hex: 0xE3E8F0))
                        .clipShape(Circle())
                        .padding(5)   // outer border size
                        .background(Color(themeService.theme.backgroundColor))
                        .clipShape(Circle())
                        .frame(width: IntroduceFederationView.imageSize + 12, height: IntroduceFederationView.imageSize + 12)
                        .padding(.trailing, 50)
                }
                .padding(.bottom, 42)
                Text(BWIL10n.introduceFederationScreen1Title)
                    .foregroundColor(Color(themeService.theme.textPrimaryColor))
                    .font(.system(size: 28, weight: .semibold))
                    .multilineTextAlignment(.center)
                Text(BWIL10n.introduceFederationScreen1Description)
                    .foregroundColor(Color(themeService.theme.textPrimaryColor))
                    .font(.system(size: 17))
                    .multilineTextAlignment(.center)
                Spacer()
            }
            .padding(.horizontal)
            .padding(.top, IntroduceFederationView.topConstraintTitle - IntroduceFederationView.imageSize - 12)
        }
    }
}
